## gmp 4.3.2%2bdfsg-1ubuntu3

=== debian/changelog ===
gmp (2:4.3.2+dfsg-1ubuntu3) natty; urgency=low

  [ Peter Pearse ]
  * For cross builds, strip GNU_TYPES & pass --target

  [ Steve Langasek ]
  * We don't need to use $(strip), just avoid having whitespace in the first
    place.
  * For that matter, this s/i386/i486/ substitution is entirely unnecessary
    to begin with; the DEB_HOST_GNU_TYPE is already i486 on Debian, and i686
    on Ubuntu.  So as long as we're modifying this line, let's simplify it
    some more.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Mar 2011 16:32:02 -0800

gmp (2:4.3.2+dfsg-1ubuntu2) natty; urgency=low

  * Build with -mno-vsx on ppc64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Mar 2011 19:01:00 +0100

gmp (2:4.3.2+dfsg-1ubuntu1) lucid; urgency=low

  * Support for thumb2 instructions in arm assembler (LP: #51372)
    - patches/arm-thumb2-support.patch: add patch for thumb2 asm
  * add ${misc:Depends} to all Depends: to make lintian happy

 -- David Sugar <david.sugar@canonical.com>  Thu, 25 Feb 2010 07:07:18 -0500

gmp (2:4.3.2+dfsg-1) unstable; urgency=low

  * New upstream version.
    - patches/fix-lib-versioning.patch: Remove.  Libraries are properly
    versioned.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 Jan 2010 00:27:30 -0600

gmp (2:4.3.1+dfsg-3) unstable; urgency=low

  * rules: On amd64, install 32-bit libs in /usr/lib32.  Closes: #533849.
  * control: Conflict with libc6-i386 versions prior to change removing
    /emul/ia32-linux/lib; see #533849 for details.

 -- Steve M. Robbins <smr@debian.org>  Mon, 03 Aug 2009 11:09:08 -0500

gmp (2:4.3.1+dfsg-2) unstable; urgency=low

  * rules: Explicitly set NM for the powerpc 64-bit build.  Disable FAT
    binary for kfreebsd-amd64.  Closes: #537072.  Remove bashism (touch
    Makefile.{am,in}).  Closes: #535383.

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 Jul 2009 05:16:25 -0500

gmp (2:4.3.1+dfsg-1) unstable; urgency=low

  * New upstream.
    - Incorporate previous NMU patch.  Closes: #528923.
    - Remote patches applied upstream: mpf_eq.diff, mpf_set_str.c.4.diff, 
      perfpow.c.diff
    - Upstream includes fix for scanf/sscanffuns.c.  Closes: #523076.

  * gmp.h: Add case for SH processor.  Closes: #530747.  Add case for
    AVR32.  Closes: #528511.
  
  * patches/fix-lib-versioning.patch: New.  Fix versioning of shared libs;
    c.f. http://gmplib.org/list-archives/gmp-bugs/2009-May/001475.html.

 -- Steve M. Robbins <smr@debian.org>  Fri, 29 May 2009 21:42:35 -0500

gmp (2:4.2.4+dfsg-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build libgmp3c2 as 64bit library on powerpc.
    Closes: #528768, #528840.

 -- Matthias Klose <doko@debian.org>  Sat, 16 May 2009 13:39:16 +0200

gmp (2:4.2.4+dfsg-8) unstable; urgency=low

  * Upload of -7 to unstable.  No source changes.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 May 2009 10:03:22 -0500

gmp (2:4.2.4+dfsg-7) experimental; urgency=low

  * control:
  * rules: Do not build multilibs for sparc.  Closes: #522524.  Reinstate
    64-bit libs for powerpc since last change reintroduced bugs #454494,
    and #506791.  Build lib64* packages only for powerpc.

  * gmp.h: Add case for mips.
  
 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Apr 2009 00:15:56 -0500

gmp (2:4.2.4+dfsg-6) experimental; urgency=low

  * gmp.h: Add cases for arm, hppa, sparc.  
  
  * control:
  * rules: Do not build multilibs for i386, powerpc, s390.  Closes:
    #522460.

 -- Steve M. Robbins <smr@debian.org>  Fri, 03 Apr 2009 23:54:21 -0500

gmp (2:4.2.4+dfsg-5) experimental; urgency=low

  * rules: Support bi-arch builds (32 and 64 bit) where possible.  
    Closes: #454494, #506791.
  
  * control: Standards-Version 3.8.1; no changes.

 -- Steve M. Robbins <smr@debian.org>  Thu, 02 Apr 2009 22:57:14 -0500

gmp (2:4.2.4+dfsg-4) experimental; urgency=low

  * rules: Add --build and --host options to configure.  Supply jobs
    option (-jN) only to initial make rather than setting MAKEFLAGS.  Run
    test suite if build machine is same as target machine.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Mar 2009 03:43:27 -0500

gmp (2:4.2.4+dfsg-3) experimental; urgency=low

  * rules: Revert to debhelper in preparation for building 32- and 64-bit
    flavours on amd64 and ppc.  Upload to experimental to check that the
    package builds across all arches.

 -- Steve M. Robbins <smr@debian.org>  Sun, 01 Mar 2009 23:31:22 -0600

gmp (2:4.2.4+dfsg-2) unstable; urgency=low

  * patches/mpf_eq.diff:
  * patches/mpf_set_str.c.4.diff:
  * patches/perfpow.c.diff: New.  Patches from upstream http://gmplib.org/

 -- Steve M. Robbins <smr@debian.org>  Tue, 24 Feb 2009 18:21:42 -0600

gmp (2:4.2.4+dfsg-1) experimental; urgency=low

  * New upstream version.  Closes: #499632.
  
  * Set Standards-Version to 3.8.0; no changes required.

 -- Steve M. Robbins <smr@debian.org>  Sun, 21 Sep 2008 00:22:19 -0500

gmp (2:4.2.3+dfsg-1) experimental; urgency=low

  * New upstream version.  Upload to experimental to avoid interfering
    with Lenny release.
  * debian/patches/01_gmp.h-std-file.diff:
  * debian/patches/02_noexec-stack.diff:
  * debian/patches/03_gnu89-inline.diff: Removed.  Applied upstream.
  
  * debian/README.source: New.  Describe how to use simple patchsys.

  * debian/rules: New target get-orig-source.  Target runs autoreconf
    before generating the .orig.tar.gz file, so we remove
    DEB_AUTO_UPDATE_AUTOCONF and DEB_AUTO_UPDATE_AUTOMAKE settings.
  * debian/control: Remove build-dependency on automake, autoconf, and
    libtool.
  
  * Switch to Debian-Scicomp subversion repository.
  * debian/control: Add Vcs-Browser and Vcs-Svn fields.  Change maintainer
    to pkg-scicomp-devel, change uploaders to me.
  
  * debian/rules: Base decision for --disable-fat on DEB_HOST_ARCH_CPU
    instead of DEB_HOST_ARCH, to build on freebsd-amd64.  Closes: #490555.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 09 Aug 2008 16:43:50 -0500
