## gmp 5.1.2+dfsg

=== debian/changelog ===
gmp (2:5.1.2+dfsg-2ubuntu1) saucy; urgency=low

  * Recommend libstdc++-4.8-dev as a real alternative for the virtual
    libstdc++-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Oct 2013 14:46:51 +0100

gmp (2:5.1.2+dfsg-2) unstable; urgency=low

  * rules: Install gmp.h into multi-arch include directory.  For
    libgmp32-dev, header installed into /usr/include/gmp32/$(triplet).
    Closes: #675577.

  * rules(lib32gmp-dev): Don't ship libtool .la files.
  
  * Remove lib64gmp* packages.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Jun 2013 22:38:49 -0500

gmp (2:5.1.2+dfsg-1) unstable; urgency=low

  * New upstream.
    - reduced SQR_TOOM2_THRESHOLD to 30.  Closes: #706984.
  
  * patches/preserve-ia64-registers.patch: New.  Upstream patch to
    preserve registers.  Closes: #708264.

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 May 2013 23:23:44 -0500

gmp (2:5.1.1+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 May 2013 20:38:15 -0500

gmp (2:5.1.1+dfsg-2) experimental; urgency=low

  * rules: Need to set ABI=x32 at configure time.  Closes: #698000.
  
  * Change to source format 3.0 (quilt).

 -- Steve M. Robbins <smr@debian.org>  Sun, 17 Mar 2013 21:54:08 -0500

gmp (2:5.1.1+dfsg-1) experimental; urgency=low

  * New upstream.
    - added support for x32.  Closes: #698000.
  
  * fix-gmp.sh: Add support for __aarch64__ (closes: #693467).

 -- Steve M. Robbins <smr@debian.org>  Mon, 18 Feb 2013 18:01:16 -0600

gmp (2:5.1.0+dfsg-1) experimental; urgency=low

  * New upstream.
  
  * rules: Use hardening build flags.  

  * control: Update to debhelper compat level 9.

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 Dec 2012 23:52:36 -0600

gmp (2:5.0.5+dfsg-2) unstable; urgency=low

  * Revert to FAT binary situation of 5.0.4: disabled for amd64,
    kfreebsd-amd64, and lpia; enabled for all other architectures.
  
  * control: Mark libgmp-dev as "Multi-arch: same", requested by Wookey
    http://lists.alioth.debian.org/pipermail/debian-science-maintainers/2012-May/013386.html

 -- Steve M. Robbins <smr@debian.org>  Fri, 01 Jun 2012 17:22:56 -0500

gmp (2:5.0.5+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert to --disable-fat, as it seems to cause gcc to abort on some
    machines (closes: #671866)

 -- Julien Cristau <jcristau@debian.org>  Tue, 08 May 2012 19:24:03 +0200

gmp (2:5.0.5+dfsg-1) unstable; urgency=low

  * New upstream.
  
  * rules: Always built FAT binary, on advice from upstream.  By default,
    GMP compiles for the CPU it detect at configure time.  But with
    --enable-fat it detects the CPU at run time.  This is important for
    cpu-dependent workarounds.

 -- Steve M. Robbins <smr@debian.org>  Sun, 06 May 2012 12:24:35 -0500

gmp (2:5.0.4+dfsg-1) unstable; urgency=low

  * New upstream version.
    - Fix for buffer overruns.  Closes: #658821.

  * rules: add build-arch, build-indep rules.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Feb 2012 11:41:31 -0600

gmp (2:5.0.3+dfsg-1) unstable; urgency=low

  * New upstream version.  Supports s390x.
  
  * patches/s390x.patch: Remove.
  * patches/upstream-dcpi1_bdiv_q.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 02:43:35 -0600

gmp (2:5.0.2+dfsg-2) unstable; urgency=low

  * gmp.h: Add case for s390x.
  
  * control: Add Breaks relations from libgmp-dev to force upgrade of
    packages that relied on libgmp.la (thanks, Jonathan Nieder).  Closes:
    #645475.

  * rules: Remove .la file from the libgmp-dev package.  Anyone relying on
    it would not be able to find it after it moved from /usr/lib to
    /usr/lib/<arch>, anyway  (thanks, Jonathan Nieder).

 -- Steve M. Robbins <smr@debian.org>  Wed, 19 Oct 2011 22:42:12 -0500

gmp (2:5.0.2+dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #627012.
  
  * rules: Empty dependency_libs.  Closes: #633312.
  
  * orig-source.patch: New.  
  * patches/s390x.patch: New. 
  * rules: Patches to enable building on s390x (thanks, Andreas Krebbel).
    Closes: #635461.
  
  * patches/upstream-dcpi1_bdiv_q.patch.  New.  Upstream fix: There is a
    GMP bug in mpn/generic/dcpi1_bdiv_q.c that causes incorrect
    computation with extremely low probability, for unnormalised
    dividends. The bug might also result in a decrement of memory above
    dividends, with some potential security impact. The bug might affect
    several user-level routines, e.g., mpz_invert, but only for operands
    of at least 3000 bits (for smaller operands, a simpler algorithm is
    used).
  
  * control:
  * rules: Apply patch (thanks, Riku Voipio) for multiarch, except we do
    not mark libgmp-dev as multiarch.  Closes: #638959.

 -- Steve M. Robbins <smr@debian.org>  Mon, 29 Aug 2011 23:06:19 -0500

gmp (2:5.0.1+dfsg-7) unstable; urgency=low

  [ Peter Pearse ]
  * For cross builds, strip GNU_TYPES & pass --target.  Closes: #605038.

  [ Steve Langasek ]
  * We don't need to use $(strip), just avoid having whitespace in the first
    place.
  * For that matter, this s/i386/i486/ substitution is entirely unnecessary
    to begin with; the DEB_HOST_GNU_TYPE is already i486 on Debian, and i686
    on Ubuntu.  So as long as we're modifying this line, let's simplify it
    some more.

  [ Steve Robbins ]
  * control: Make libgmp-dev, and lib{32,64}-dev real packages, providing
    virtual packages libgmp10-dev, etc.  Add real package libgmp3-dev, a
    dummy package to pull in libgmp-dev.  Required to ease transition of
    mlton because it build-depends on itself and on versioned libgmp3-dev.
    See http://lists.debian.org/debian-release/2011/03/msg00374.html.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 22 Mar 2011 22:00:03 -0500

gmp (2:5.0.1+dfsg-6) unstable; urgency=low

  * control: libgmp10-dev provides the old libgmp3-dev package.  This is a
    temporary measure to ease the transition for ghc, which build-depends

