=== debian/control ===
Source: gmp
Homepage: http://gmplib.org/
Section: libs
Priority: optional
Build-Depends: m4, debhelper (>= 9), dpkg-dev (>= 1.16.1~), gcc-multilib [amd64 kfreebsd-amd64 ppc64], g++-multilib [amd64 kfreebsd-amd64 ppc64]
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/gmp/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/gmp/trunk/
Standards-Version: 3.9.3

Package: libgmp10
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Multiprecision arithmetic library
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.
 .
 It has a rich set of functions, and the functions have a regular
 interface.

Package: libgmpxx4ldbl
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libgmp3, libgmpxx4
Replaces: libgmp3
Description: Multiprecision arithmetic library (C++ bindings)
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.

Package: libgmp-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libgmp10 (= ${binary:Version}), libgmpxx4ldbl (= ${binary:Version}), ${misc:Depends}
Provides: libgmp10-dev
Conflicts: libgmp3-dev (<< 5.0.1), libgmp10-dev
Breaks: guile-1.8-dev (<< 1.8.8+1-1), libcdd-dev (<< 094b.dfsg-4.2),
 libcln-dev (<< 1.3.2-1.1), libmpc-dev (<< 0.9-3), libmpfr-dev (<< 3.0.1-5),
 librep-dev (<< 0.90.2-1.3), regina-normal-dev (<< 4.6-3)
Replaces: libgmp3-dev, libgmp10-dev
Recommends: libstdc++-4.8-dev | libstdc++-dev
Suggests: libgmp10-doc, libmpfr-dev
Multi-Arch: same
Description: Multiprecision arithmetic library developers tools
 This development package provides the header files and the symbolic
 links to allow compilation and linking of programs that use the libraries
 provided in the libgmp10 package.
 .
 Both C and C++ bindings are present in this package.  Package
 libstdc++-dev is required to use the C++ bindings.  
 .
 The MPFR library (multiple-precision floating-point) used to be
 included, but has since been moved to package libmpfr-dev.

Package: lib32gmp10
Section: libs
Priority: optional
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libc6-i386 (<= 2.9-18)
Description: Multiprecision arithmetic library (32bit)
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.  This
 package includes a 32 bit version of the shared library.
 .
 It has a rich set of functions, and the functions have a regular
 interface.

Package: lib32gmpxx4
Section: libs
Priority: optional
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libc6-i386 (<= 2.9-18)
Description: Multiprecision arithmetic library (C++ bindings, 32bit)
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.  This
 package includes a 32 bit version of the shared library.

Package: lib32gmp-dev
Section: libdevel
Priority: optional
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: libgmp-dev (= ${binary:Version}), lib32gmp10 (= ${binary:Version}), lib32gmpxx4 (= ${binary:Version}), ${misc:Depends}
Provides: lib32gmp10-dev, lib32gmp3-dev
Suggests: libgmp10-doc, libmpfr-dev
Conflicts: libc6-i386 (<= 2.9-18), lib32gmp3-dev, lib32gmp10-dev
Replaces: lib32gmp3-dev, lib32gmp10-dev
Description: Multiprecision arithmetic library developers tools (32bit)
 This development package provides the header files and the symbolic
 links to allow compilation and linking of programs that use the
 libraries provided in the libgmp10 package.  This package includes 32
 bit versions of the link libraries.
 .
 Both C and C++ bindings are present in this package.  Package
 libstdc++-dev is required to use the C++ bindings.  
 .
 The MPFR library (multiple-precision floating-point) used to be
 included, but has since been moved to package libmpfr-dev.

Package: libgmp10-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Multiprecision arithmetic library example code
 This package provides example code illustrating the use of GMP.

Package: libgmp3-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}, libgmp-dev (= ${binary:Version})
Conflicts: libgmp10-dev (<< 2:5.0.1+dfsg-7)
Replaces: libgmp10-dev
Description: Multiprecision arithmetic library developers tools
 This is a dummy package that simply pulls in libgmp-dev.
 It can safely be removed.
