## gmp 5.1.3+dfsg

=== debian/changelog ===
gmp (2:5.1.3+dfsg-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Recommend libstdc++-4.8-dev as a real alternative for the virtual
      libstdc++-dev.
    - Build using dh-autoreconf.
    - Add powerpc64 little-endian support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 15:56:16 +0100

gmp (2:5.1.3+dfsg-1) unstable; urgency=low

  * New upstream.
  
  * patches/preserve-ia64-registers.patch:
  * patches/mpn_sbpi1_div.patch: Remove.  Applied upstream.

  * control: Update Standards-Version to 3.9.5.
  
  * watch: New watch file from bartm.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Dec 2013 14:51:41 -0600

gmp (2:5.1.2+dfsg-3ubuntu3) trusty; urgency=medium

  * debian/patches/ppc64el_mod.patch: Add little-endian support to ppc64 asm.

 -- William Grant <wgrant@ubuntu.com>  Mon, 16 Dec 2013 09:11:53 +0000

gmp (2:5.1.2+dfsg-3ubuntu2) trusty; urgency=low

  * Run autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Nov 2013 12:20:10 +0100

gmp (2:5.1.2+dfsg-3ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Recommend libstdc++-4.8-dev as a real alternative for the virtual
      libstdc++-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 08:24:59 -0700

gmp (2:5.1.2+dfsg-3) unstable; urgency=low

  * patches/mpn_sbpi1_div.patch: New.  Upstream patch to fix computation
    of mpn_sbpi1_div_qr_sec and mpn_sbpi1_div_r_sec.
  
  * Remove lib32gmp* packages.  Closes: #714998.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Sep 2013 13:52:27 -0500
