## gmp 6.0.0+dfsg

=== debian/changelog ===
gmp (2:6.0.0+dfsg-6+rpi1) jessie-staging; urgency=medium

  * Update symbols for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 29 Mar 2015 12:33:31 +0000

gmp (2:6.0.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Use filter instead of finstring (Closes: #758438)

 -- Aron Xu <aron@debian.org>  Mon, 18 Aug 2014 03:39:42 +0800

gmp (2:6.0.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Update symbols and pass ABI=64 for mips64(el) (Closes: #748319)
  * Update symbols for powerpcspe (Closes: #750478)

 -- Aron Xu <aron@debian.org>  Sun, 17 Aug 2014 20:38:32 +0800

gmp (2:6.0.0+dfsg-4) unstable; urgency=medium

  * Update symbols for sparc.
  * Update symbols for m68k.
  * Correct alpha symbols.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 08:42:56 +0100

gmp (2:6.0.0+dfsg-3) unstable; urgency=medium

  * Thanks Jordi for awesome NMUs! =)
  * Apply changes from colin/ubuntu:
    - Recommend libstdc++-4.8-dev as a real alternative for the virtual
    libstdc++-dev.
  * Cherry-pick patch from upstream to fix up ppc64el missing
    BMOD_1_TO_MOD_1_THRESHOLD define.
  * Fix up arm64 & ppc64 & ppc64el symbols thanks to Adam Conrad.
  * Update symbols for alpha.
  * Update symbols for sh4.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 May 2014 03:23:17 +0100

gmp (2:6.0.0+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload. Third time's a charm... I hope.
  * Extend libgmp10.symbols with symbols for all official Debian
    architectures, plus arm64, hppa and sparc64 from debian-ports.org.
  * Revert usage of dpkg-gensymbols -c4, at least for now.

 -- Jordi Mallach <jordi@debian.org>  Sun, 27 Apr 2014 18:50:38 +0200

gmp (2:6.0.0+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add arch overrides for three symbols that are not available on
    every architecture, and check they were all available in 5.0.1.

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Apr 2014 20:00:14 +0200

gmp (2:6.0.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a .symbols file, as provided by Magnus Holmgren (closes: #745233).
  * Pass -c4 to dpkg-gensymbols to detect future symbol changes.

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Apr 2014 16:40:35 +0200

gmp (2:6.0.0+dfsg-2) unstable; urgency=medium

  * patches/arm-asm-nothumb.patch: Don't use assmbly on ARM Thumb
    devices.  Closes: #742814

 -- Steve M. Robbins <smr@debian.org>  Fri, 04 Apr 2014 23:39:40 -0500

gmp (2:6.0.0+dfsg-1) unstable; urgency=medium

  * New upstream.  Closes: #742564.
  
  * copyright: Updated to reflect new dual-licensing (LGPLv3+ or GPLv2+).
    Closes: #741607.

 -- Steve M. Robbins <smr@debian.org>  Mon, 24 Mar 2014 22:14:05 -0500
