=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Homepage: http://gmplib.org/
 Section: libs
 Priority: optional
-Build-Depends: m4, debhelper (>= 9), dpkg-dev (>= 1.16.1~), dh-autoreconf
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Build-Depends: m4, debhelper (>= 9), dpkg-dev (>= 1.16.1~)
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/gmp/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/gmp/trunk/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: libgmp10
 Section: libs
@@ -50,8 +49,7 @@
  libcln-dev (<< 1.3.2-1.1), libmpc-dev (<< 0.9-3), libmpfr-dev (<< 3.0.1-5),
  librep-dev (<< 0.90.2-1.3), regina-normal-dev (<< 4.6-3)
 Replaces: libgmp3-dev, libgmp10-dev
-Recommends: libstdc++-4.8-dev | libstdc++-dev
-Suggests: libgmp10-doc, libmpfr-dev
+Suggests: gmp-doc, libgmp10-doc, libmpfr-dev
 Multi-Arch: same
 Description: Multiprecision arithmetic library developers tools
  This development package provides the header files and the symbolic
